.\" $NetBSD: xi.4,v 1.12 2008/04/30 13:10:55 martin Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Gregory McGarry.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 1, 2007
.Dt XI 4
.Os
.Sh NAME
.Nm xi
.Nd Xircom CreditCard Ethernet device driver
.Sh SYNOPSIS
.Cd "xi* at xirc?"
.Pp
Configuration of PHYs may also be necessary.
See
.Xr mii 4 .
.Sh DESCRIPTION
The
.Nm
driver provides support for the Xircom CreditCard family of PCMCIA
Ethernet adapters.
Supported cards include:
.Pp
.Bl -item -compact -offset indent
.It
Xircom CreditCard Ethernet II
.It
Xircom CreditCard 10/100 Ethernet
.\" .It Xircom CreditCard Ethernet + Modem
.\" .It Xircom CreditCard 10/100 Ethernet + Modem
.It
Xircom RealPort 10/100 Ethernet + Modem (Ethernet function only)
.It
Intel EtherExpress Pro/100
.It
Compaq Netelligent 10/100
.El
.Pp
Cards which should work, but have not been confirmed include:
.Pp
.Bl -item -compact -offset indent
.It
Xircom RealPort Ethernet
.It
Xircom RealPort 10/100 Ethernet
.El
.Pp
Some Xircom Ethernet products are supported by the
.Xr tlp 4
driver.
.Sh MEDIA SELECTION
Media selection is done using
.Xr ifconfig 8
using the standard
.Xr ifmedia 4
mechanism.
Refer to those manual pages for more information.
.Sh SEE ALSO
.Xr ifmedia 4 ,
.Xr mii 4 ,
.Xr netintro 4 ,
.Xr pcmcia 4 ,
.Xr tlp 4 ,
.Xr xirc 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.5 .
.Sh BUGS
The driver suffers from poor performance.
Even with the 10/100 cards, do not expect more than ~450KB/s.
Some 10/100 cards may not autonegotiate
reliably and require manual media selection.
.Pp
The Xircom multifunction cards which contain both Ethernet and modem
interfaces are known to have problems.
This is due to the card not
reporting itself correctly as a multifunction card.
